Uploaded image for project: 'CXF'
  1. CXF
  2. CXF-6123

Maven cxf-codegen-plugin documentation gives false information

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Trivial
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: Invalid
    • Component/s: Documentation
    • Labels:
      None
    • Estimated Complexity:
      Novice

      Description

      The Maven cxf-codegen-plugin (WSDL to Java) indicates that the encoding configuration must use the version 2.2 of JAXB, following the implementation of CXF-2450.

      This is not true.

      I currently use CXF 2.6.10 and I had to use the version 2.2.5 of JAXB. I tried with the version 2.2 (copy/paste from the documentation page) and I still had the original problem about "unmappable charset". The documentation page also indicates to use the latest version of JAXB (as of today, 2.2.11). I did and got some other issue about missing classes.

      CXF-2450 explicitly mentions 2.2.5. I tried with that version and finally it succeeded.

      Therefore I believe the documentation is inaccurate must be adapted to reflect this.

        Attachments

          Activity

            People

            • Assignee:
              dkulp Daniel Kulp
              Reporter:
              ogregoire Olivier Grégoire
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Time Tracking

                Estimated:
                Original Estimate - 2h
                2h
                Remaining:
                Remaining Estimate - 2h
                2h
                Logged:
                Time Spent - Not Specified
                Not Specified